summaryrefslogtreecommitdiff
path: root/app-mobilephone/flashlight
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /app-mobilephone/flashlight
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'app-mobilephone/flashlight')
-rw-r--r--app-mobilephone/flashlight/Manifest1
-rw-r--r--app-mobilephone/flashlight/files/60-flashlight.rules5
-rw-r--r--app-mobilephone/flashlight/files/90-flashlight.rules2
-rw-r--r--app-mobilephone/flashlight/flashlight-0.1.1-r3.ebuild42
-rw-r--r--app-mobilephone/flashlight/metadata.xml8
5 files changed, 58 insertions, 0 deletions
diff --git a/app-mobilephone/flashlight/Manifest b/app-mobilephone/flashlight/Manifest
new file mode 100644
index 000000000000..8739b8f4fa8e
--- /dev/null
+++ b/app-mobilephone/flashlight/Manifest
@@ -0,0 +1 @@
+DIST flashlight-0.1.1.tar.gz 20077 BLAKE2B c9ed29d034c5c7e91a87209236e153afbada4c0e098dba0e0ed8fa0f7b321d3ec693fe198de415031024f4a29437ba2986809f30009c5c09751d7800449a42af SHA512 ed8350bf75f5638c36ba070dee7f5aa0455fcde5ed4ecc63ff7a27578d34e382e16b2998e25898e972b95b5307af58de14b96ee359bedfcee924f9b7e865dcd6
diff --git a/app-mobilephone/flashlight/files/60-flashlight.rules b/app-mobilephone/flashlight/files/60-flashlight.rules
new file mode 100644
index 000000000000..b9098a83cb3c
--- /dev/null
+++ b/app-mobilephone/flashlight/files/60-flashlight.rules
@@ -0,0 +1,5 @@
+# SPDX-License-Identifier: GPL-3+
+#
+# This file is part of flashlight.
+
+SUBSYSTEM=="leds", KERNEL=="white:flash", ACTION=="add", RUN+="/bin/chmod -R a+w /sys%p"
diff --git a/app-mobilephone/flashlight/files/90-flashlight.rules b/app-mobilephone/flashlight/files/90-flashlight.rules
new file mode 100644
index 000000000000..3aafcd21a28f
--- /dev/null
+++ b/app-mobilephone/flashlight/files/90-flashlight.rules
@@ -0,0 +1,2 @@
+SUBSYSTEM=="leds", ACTION=="add", KERNEL=="white:flash", \
+ RUN+="/bin/chmod 777 /sys/class/leds/%k/brightness"
diff --git a/app-mobilephone/flashlight/flashlight-0.1.1-r3.ebuild b/app-mobilephone/flashlight/flashlight-0.1.1-r3.ebuild
new file mode 100644
index 000000000000..218d2a0f9714
--- /dev/null
+++ b/app-mobilephone/flashlight/flashlight-0.1.1-r3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson gnome2-utils udev
+
+MY_COMMIT="f5feb4b3d17bbf16171d716bbb8e28f3a84542ef"
+
+DESCRIPTION="Simple flashlight application for the PinePhone"
+HOMEPAGE="https://gitlab.com/a-wai/flashlight.git"
+SRC_URI="https://gitlab.com/a-wai/flashlight/-/archive/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+S="${WORKDIR}/${PN}-${MY_COMMIT}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ dev-libs/glib
+ x11-libs/gtk+
+"
+BDEPEND="dev-lang/python-exec[native-symlinks]"
+
+src_install() {
+ meson_src_install
+ udev_dorules "${FILESDIR}/60-flashlight.rules"
+ mv "${D}/usr/share/appdata" "${D}/usr/share/metainfo" || die
+}
+
+pkg_postinst() {
+ gnome2_schemas_update
+ xdg_desktop_database_update
+ udev_reload
+}
+
+pkg_postrm() {
+ gnome2_schemas_update
+ xdg_icon_cache_update
+ udev_reload
+}
diff --git a/app-mobilephone/flashlight/metadata.xml b/app-mobilephone/flashlight/metadata.xml
new file mode 100644
index 000000000000..6d5ef04d40e9
--- /dev/null
+++ b/app-mobilephone/flashlight/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <!-- maintainer-needed -->
+ <upstream>
+ <remote-id type="gitlab">a-wai/flashlight.git</remote-id>
+ </upstream>
+</pkgmetadata>